# _x509_cert Struct Reference

`#include <x509.h>`

## Detailed Description

Definition at line 152 of file x509.h.

## Data Fields
int | ca_istrue
x509_name | issuer
x509_buf | issuer_id
x509_buf | issuer_raw
int | max_pathlen
struct _x509_cert * | next
x509_buf | pk_oid
x509_buf | raw
rsa_context | rsa
x509_buf | serial
x509_buf | sig
x509_buf | sig_oid1
x509_buf | sig_oid2
x509_name | subject
x509_buf | subject_id
x509_buf | subject_raw
x509_buf | tbs
x509_buf | v3_ext
x509_time | valid_from
x509_time | valid_to
int | version

## Field Documentation

int _x509_cert::ca_istrue

Definition at line 177 of file x509.h.

x509_name _x509_cert::issuer

Definition at line 164 of file x509.h.

x509_buf _x509_cert::issuer_id

Definition at line 173 of file x509.h.

x509_buf _x509_cert::issuer_raw

Definition at line 161 of file x509.h.

int _x509_cert::max_pathlen

Definition at line 178 of file x509.h.

struct _x509_cert* _x509_cert::next`[read]`

Definition at line 183 of file x509.h.

x509_buf _x509_cert::pk_oid

Definition at line 170 of file x509.h.

x509_buf _x509_cert::raw

Definition at line 154 of file x509.h.

rsa_context _x509_cert::rsa

Definition at line 171 of file x509.h.

x509_buf _x509_cert::serial

Definition at line 158 of file x509.h.

x509_buf _x509_cert::sig

Definition at line 181 of file x509.h.

x509_buf _x509_cert::sig_oid1

Definition at line 159 of file x509.h.

x509_buf _x509_cert::sig_oid2

Definition at line 180 of file x509.h.

x509_name _x509_cert::subject

Definition at line 165 of file x509.h.

x509_buf _x509_cert::subject_id

Definition at line 174 of file x509.h.

x509_buf _x509_cert::subject_raw

Definition at line 162 of file x509.h.

x509_buf _x509_cert::tbs

Definition at line 155 of file x509.h.

x509_buf _x509_cert::v3_ext

Definition at line 175 of file x509.h.

x509_time _x509_cert::valid_from

Definition at line 167 of file x509.h.

x509_time _x509_cert::valid_to

Definition at line 168 of file x509.h.

int _x509_cert::version

Definition at line 157 of file x509.h.